#
# spec file for package perl-Scalar-List-Utils
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Scalar-List-Utils
Version:        1.36
Release:        1.3
%define         cpan_name Scalar-List-Utils
Summary:        Common Scalar and List utility subroutines
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Scalar-List-Utils/
Source:         http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/Scalar-List-Utils-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
List::Util contains a selection of subroutines that people have expressed would
be nice to have in the perl core, but the usage would not really be high enough
to warrant the use of a keyword, and the size so small such that being
individual extensions would be wasteful.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%if 0%{?suse_version} <= 1110
rm t/weak.t
%endif
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes MYMETA.json MYMETA.yml README

%changelog
* Fri Jan 17 2014 lars@linux-schulserver.de
- update to 1.36:
  * Added Scalar::Util::unweaken()
  * Various documentation changes/updates
  * Correct uses of overload operators in unit tests (RT91969)
- do not run weak test on SLE_11
* Fri Dec 13 2013 coolo@suse.com
- update to 1.35:
  * Added List::Util::product()
  * Ensure that List::Util::{any,all,none,notall} return PL_sv_{yes,no}
  * Implement reduce() and first() even in the absence of MULTICALL
  * Avoid C99/C++-style comments in XS code
  * Fix dualvar tests for perl 5.6; fix skip() test counts in dualvar.t
  * Neater documentation examples of other functions that can be built using
    reduce
  * Added any, all, none, notall list reduction functions
    (inspired by List::MoreUtils)
* Sat Oct  5 2013 coolo@suse.com
- update to 1.32:
  * Skip pairmap()'s MULTICALL implementation 5.8.9 / 5.10.0 as it doesn't
    work (RT87857)
  * Comment on the fact that package "0" is defined but false (RT88201)
  * TODO test in t/readonly.t now passes since 5.19.3 (RT88223)
* Mon Aug 19 2013 lars@linux-schulserver.de
- update to 1.31:
  + Bugfix pairmap to return list length in scalar context
  + Added "Odd number of elements" warnings to all pair* functions
  + Added pairfirst
  + Added MULTICALL implementations to pairmap/pairgrep/pairfirst
  + Fix declaration-after-code for C99-challenged compilers
  + Documentation updates to List::Util
  + Bugfix to pairmap/pairgrep when stack moves beneath them
    during operation
  + Added pairgrep, pairmap, pairs (inspired by List::Pairwise)
  + Added pairkeys and pairvalues
  + Fix multicall refcount bug RT#80646
  + Merge patch from JDHEDDEN - Add Scalar::Util::isdual() RT#76150
  + Fix a hash order dependency bug t/tainted.t
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Mar 11 2010 lars@linux-schulserver.de
- update to 1.23:
  + Use PERL_NO_GET_CONTEXT for efficiency (see perlguts)
  + avoid non-portable warnings
  + Fix PP::reftype in edge cases
  + RT#51484 Preserve utf8 flag of string passed to dualvar()
  + RT#51454 Check first argument to first/reduce is a code
    reference
  + RT#50528 [PATCH] p_tainted.t fix for VMS [Craig A. Berry]
  + RT#48550 fix pure perl looks_like_number not to match
    non-ascii digits
* Tue Sep 15 2009 lars@linux-schulserver.de
- initial package build
